Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162979 - CAN-2005-2104 sysreport insecure temporary directory usage
Summary: CAN-2005-2104 sysreport insecure temporary directory usage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysreport
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,embargo=20050727,source=se...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 22:54 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 02:11:32 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-07-11 22:54:20 UTC
+++ This bug was initially created as a clone of Bug #162978 +++

sysreport creates a temporary directory in an insecure manner.

umask 0077
ROOT=/tmp/sysreport.$$

ROOT should be something like
ROOT=`mktemp -d /tmp/sysreport.XXXXXXXX`

It is possible for a local attacker to cause a race condition and trick
sysreport into writing its output to a directory the attacker can read.


This issue was discovered by Bill Stearns

Comment 1 Josh Bressers 2005-07-11 22:54:53 UTC
This issue should also affect FC3

Comment 2 Ngo Than 2005-07-13 09:03:56 UTC
it's fixed in 1.4.1-5(FC4) and 1.3.13-2(FC3)

Comment 3 Mark J. Cox 2005-11-10 13:50:00 UTC
ping, intend to push updates?  
(removing embargo)

Comment 4 Ngo Than 2005-11-10 13:54:57 UTC
yes, it should be pushed this week. Thanks for your remind

Comment 5 Fedora Update System 2005-11-10 17:18:44 UTC
From User-Agent: XML-RPC

sysreport-1.3.13-2 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 6 Bill Nottingham 2006-09-22 02:11:32 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.